# Mobile data network type

A decision block that checks the active mobile data network type.

If the proceed option is set to Immediately, then check the currently active network type without pausing the fiber. If set to When changed, then the fiber will pause until the active network has changed.

If network types is empty, or evaluate to `null`, then the type variable is assigned with the currently active type without a check.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Network types — network types considered true (YES).
- Subscription id — id of subscription (SIM) to get network type for, default is the system default subscription.

## Output variables

- Network type — variable to assign the current network type.